#
# This file is to be manually edited.  The current version is very
# old.  You probably want to install into the Linux FHS, which
# this doesn't do.
#
# This package is not relocatable
#
%define _prefix 	%_libdir/GNUstep
%define gs_libcombo     gnu-gnu-gnu

Name: gnustep-make
Version: 2.0.6
Release: alt1
Source: ftp://ftp.gnustep.org/pub/gnustep/core/%name-%version.tar.gz
License: GPL
Group: Development/Other
Summary: GNUstep Makefile package
Packager: Sergey Alembekov <rt@altlinux.ru>
Url: http://www.gnustep.org/

BuildRequires: gcc-objc libobjc-devel star
Requires: gnustep-dirs

%define gsos            linux-gnu
#%ifarch %ix86
#%define gscpu           ix86
#%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
#%define gscpu           %(echo %_target_cpu | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
#%endif

%description
This package contains the basic scripts, makefiles and directory
layout needed to run and compile any GNUstep software.  This package
was configured for library combo %gs_libcombo using the standard
GNUstep filesystem layout based on %prefix.

%package devel
Summary: Files needed to develop applications with gnustep-make
Group: Development/Other
Requires: %name = %version-%release

%description devel
The makefile package is a simplistic, powerful and extensible way to
write makefiles for a GNUstep-based project. It allows the user to
write a GNUstep-based project without having to deal with the complex
issues associated with the configuration and installation of the core
GNUstep libraries. It also allows the user to easily create
cross-compiled binaries.


%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%__autoconf
echo $AC_CONFIG_AUX_DIR
%configure \
        --disable-flattened \
	--with-tar=tar \
	--with-library-combo=gnu-gnu-gnu

%__make

%install
%__make install \
        DESTDIR=%buildroot

ln -s  Library/Makefiles %buildroot%prefix/System/Makefiles

install -d %buildroot/etc/profile.d

cat > %buildroot/etc/profile.d/GNUstep.sh << EOF
#!/bin/sh
. %prefix/System/Library/Makefiles/GNUstep.sh

if [ ! -d \$GNUSTEP_USER_ROOT ]; then
        mkdir \$GNUSTEP_USER_ROOT
        chmod +rwx \$GNUSTEP_USER_ROOT
        . %prefix/System/Library/Makefiles/GNUstep.sh
fi
EOF

cat > %buildroot/etc/profile.d/GNUstep.csh << EOF
#!/bin/csh
source %prefix/System/Library/Makefiles/GNUstep.csh

test -d \$GNUSTEP_USER_ROOT
if (\$status != 0) then
        mkdir \$GNUSTEP_USER_ROOT
        chmod +rwx \$GNUSTEP_USER_ROOT
        source %prefix/System/Library/Makefiles/GNUstep.csh
endif
EOF

find %buildroot%prefix/System/Library/Documentation \
        -type f ! -name '*.html' ! -name '*.css' ! -name '*.gz' | xargs gzip -9nf 

%files
%doc ChangeLog
%_sysconfdir/GNUstep/
%attr(755,root,root) %_sysconfdir/profile.d/*
%dir %prefix/System/Library/Makefiles
%dir %prefix/System/Makefiles
%attr(755,root,root) %prefix/System/Library/Makefiles/*.csh
%attr(755,root,root) %prefix/System/Library/Makefiles/*.sh
%attr(755,root,root) %prefix/System/Tools
%prefix/System/Library/Makefiles/tar-exclude-list
%prefix/System/Library/Makefiles/config.guess
%prefix/System/Library/Makefiles/config.sub
%prefix/System/Library/Makefiles/gnustep-make-help
%prefix/System/Library/Documentation/man/*

%files devel
%prefix/System/Library/Makefiles/*.make
%prefix/System/Library/Makefiles/*.template
%prefix/System/Library/Makefiles/*/%gsos/gnu-gnu-gnu/config.make
%prefix/System/Library/Makefiles/Instance
%prefix/System/Library/Makefiles/Master
%attr(755,root,root) %prefix/System/Library/Makefiles/install-sh
%attr(755,root,root) %prefix/System/Library/Makefiles/mkinstalldirs

%changelog
* Thu Jul 03 2008 Sergey Alembekov <rt@altlinux.ru> 2.0.6-alt1
- build with new upstream version

* Thu Jul 03 2008 Sergey Alembekov <rt@altlinux.ru> 2.0.4-alt1
- build with new version

* Sun Dec 31 2006 Vitaly Lipatov <lav@altlinux.ru> 1.13.0-alt0.1
- new version 1.13.0 (with rpmrb script)
- fix duplicate GNUStep dir

* Sat Nov 05 2005 Vitaly Lipatov <lav@altlinux.ru> 1.11.1-alt0.1
- initial build for ALT Linux Sisyphus
- spec from PLD Team <feedback@pld-linux.org>
